POST /bsus/api/v1/post_upgrade_script/run - Adaptive Applications - BlueCat Gateway - 22.1

BlueCat Server Update Services Administration Guide

ft:locale
en-US
Product name
BlueCat Gateway
Version
22.1

Description

Run the "backup" or "restore" portion of the indicated Server Batch's customization package for all servers in a batch. On each server, this calls the package's customize.sh bash script with the "-r" (restore) parameter:

customize.sh -r

Parameters

Name Description
payload

(body)

Location: body

Type: application/json

{
  "batch_name": "string"
  "operation": "string"
}
Parameter
  • batch_name—the name of the Server Batch whose customization package you want to run.
  • operation—the operation you want to run with the package.
    • To run the package's backup script (customize.sh -b), use "backup".
    • To run the package's restore script (customize.sh -r), use "restore".

Responses

Status Description
Successful

Code: 202

The customization script was successfully started on the Server Batch's servers.

Error
Note: This endpoint returns an error code only if an error occurred while attempting to call the script. If the script itself encounters and fails with an error, BSUS logs a separate event in its event list, distinct from events associated with this endpoint.

Code: 400

Invalid input.

Code: 404

Batch not found.